-- name: Super Luigi 64 - Trolling Edition
-- description: An edit of the vanilla game with harder courses and 118 stars by TheLegendofYoshi13 where you play as Luigi.\n\nPorted by BlackJoystick
-- incompatible: romhack

gLevelValues.entryLevel = LEVEL_CASTLE_GROUNDS
gServerSettings.skipIntro = 1

camera_set_use_course_specific_settings(false)

smlua_audio_utils_replace_sequence(0x01, 0x22, 75, "01_Seq_custom")
smlua_audio_utils_replace_sequence(0x02, 0x12, 75, "02_Seq_custom")
smlua_audio_utils_replace_sequence(0x03, 0x11, 75, "SMB2")
smlua_audio_utils_replace_sequence(0x04, 0x25, 75, "Knight Castle")
smlua_audio_utils_replace_sequence(0x05, 0x0E, 75, "Sunken Docks")
smlua_audio_utils_replace_sequence(0x06, 0x25, 75, "LDL")
smlua_audio_utils_replace_sequence(0x07, 0x1A, 75, "Bowser")
smlua_audio_utils_replace_sequence(0x08, 0x25, 75, "Snow")
smlua_audio_utils_replace_sequence(0x09, 0x11, 75, "Athletic")
smlua_audio_utils_replace_sequence(0x0A, 0x21, 75, "Boo")
smlua_audio_utils_replace_sequence(0x0B, 0x14, 75, "0B_Seq_custom")
smlua_audio_utils_replace_sequence(0x0C, 0x25, 75, "Crystal Caves")
smlua_audio_utils_replace_sequence(0x0D, 0x25, 75, "0D_Seq_custom")
smlua_audio_utils_replace_sequence(0x0E, 0x25, 75, "0E_Seq_custom")
smlua_audio_utils_replace_sequence(0x0F, 0x25, 75, "0F_Seq_custom")
smlua_audio_utils_replace_sequence(0x10, 0x12, 75, "10_Seq_custom")
smlua_audio_utils_replace_sequence(0x11, 0x25, 75, "A new Castle")
smlua_audio_utils_replace_sequence(0x12, 0x1F, 75, "12_Seq_custom")
smlua_audio_utils_replace_sequence(0x13, 0x25, 75, "Luigi go Around")
smlua_audio_utils_replace_sequence(0x14, 0x1A, 75, "14_Seq_custom")
smlua_audio_utils_replace_sequence(0x15, 0x0E, 75, "15_Seq_custom")
smlua_audio_utils_replace_sequence(0x16, 0x25, 75, "16_Seq_custom")
smlua_audio_utils_replace_sequence(0x17, 0x1A, 75, "17_Seq_custom")
smlua_audio_utils_replace_sequence(0x18, 0x17, 75, "Staircase")
smlua_audio_utils_replace_sequence(0x19, 0x12, 75, "FinalBowser")
smlua_audio_utils_replace_sequence(0x1A, 0x25, 75, "Credits")
smlua_audio_utils_replace_sequence(0x1B, 0x14, 75, "1B_Seq_custom")
smlua_audio_utils_replace_sequence(0x1C, 0x20, 75, "1C_Seq_custom")
smlua_audio_utils_replace_sequence(0x1D, 0x1E, 75, "1D_Seq_custom")
smlua_audio_utils_replace_sequence(0x1E, 0x1B, 75, "1E_Seq_custom")
smlua_audio_utils_replace_sequence(0x1F, 0x1A, 75, "1F_Seq_custom")
smlua_audio_utils_replace_sequence(0x20, 0x23, 75, "20_Seq_custom")
smlua_audio_utils_replace_sequence(0x21, 0x25, 75, "21_Seq_custom")
smlua_audio_utils_replace_sequence(0x22, 0x1B, 75, "Lakitu")

vec3f_set(gLevelValues.starPositions.KoopaBobStarPos, 5163, 3376, 1227)
vec3f_set(gLevelValues.starPositions.KoopaThiStarPos, 7100, -1300, -6000)
vec3f_set(gLevelValues.starPositions.KingBobombStarPos, 1577.0, 1101.0, 270.0)
vec3f_set(gLevelValues.starPositions.KingWhompStarPos, -7.0, -853.0, -3745.0)
vec3f_set(gLevelValues.starPositions.EyerockStarPos, -95.0, 332.0, 4094.0)
vec3f_set(gLevelValues.starPositions.BigBullyStarPos, 0.0, 950.0, -6800.0)
vec3f_set(gLevelValues.starPositions.ChillBullyStarPos, 290.0, 1127.0, -4600.0)
vec3f_set(gLevelValues.starPositions.BigPiranhasStarPos, -6300.0, -1850.0, -6300.0)
vec3f_set(gLevelValues.starPositions.TuxieMotherStarPos, -7364.0, -5633.0, -7198.0)
vec3f_set(gLevelValues.starPositions.WigglerStarPos, 0.0, 2048.0, 0.0)
vec3f_set(gLevelValues.starPositions.PssSlideStarPos, -6358.0, -4300.0, 4700.0)
vec3f_set(gLevelValues.starPositions.RacingPenguinStarPos, -7339.0, -5700.0, -6774.0)
vec3f_set(gLevelValues.starPositions.TreasureChestStarPos, 654.0, 3332.0, 3307.0)
vec3f_set(gLevelValues.starPositions.GhostHuntBooStarPos, 980.0, 1100.0, 250.0)
vec3f_set(gLevelValues.starPositions.KleptoStarPos, -5550.0, 300.0, -930.0)
vec3f_set(gLevelValues.starPositions.MerryGoRoundStarPos, -1600.0, -2100.0, 205.0)
vec3f_set(gLevelValues.starPositions.MrIStarPos, -2.0, -2039.0, 4332.0)
vec3f_set(gLevelValues.starPositions.BalconyBooStarPos, 4332.0, 3359.0, 5081.0)
vec3f_set(gLevelValues.starPositions.BigBullyTrioStarPos, 3700.0, 600.0, -5500.0)
